Bug 1421981 (CVE-2016-8636) - CVE-2016-8636 kernel: Integer overflow in the RDMA over infiniband software implementation
Summary: CVE-2016-8636 kernel: Integer overflow in the RDMA over infiniband software i...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-8636
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-14 09:22 UTC by Andrej Nemec
Modified: 2019-09-29 14:07 UTC (History)
32 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-14 09:24:20 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-02-14 09:22:35 UTC
An integer overflow vulnerability was found in the Linux kernel in the software implementation of the RDMA protocol over infiniband.

References:

http://seclists.org/oss-sec/2017/q1/404
https://eyalitkin.wordpress.com/2017/02/11/cve-publication-cve-2016-8636/

Upstream patch:

https://github.com/torvalds/linux/commit/647bf3d8a8e5777319da92af672289b2a6c4dc66

Comment 1 Andrej Nemec 2017-02-14 09:24:20 UTC
Statement:

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux as they did not include the software implementation of the RDMA protocol over infiniband.


Note You need to log in before you can comment on or make changes to this bug.